include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### pluginloader

tde_import( konqueror )
tde_add_kpart( konqsidebar_smb4k  AUTOMOC
  SOURCES smb4k_konqplugin.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdeparts-shared konqsidebarplugin-shared smb4kcore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other files

tde_create_translated_desktop(
  SOURCE smb4k_add.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/add
)
